/**
 * Minify css files.
 * @function task.worker.minifyCssFiles
 * @param {object} config - Work configuration.
 * @param {string} config.srcDir - Source css directory.
 * @param {string} config.ignore - Ignore  css pattern. Glob.
 * @param {string} config.pattern - Source css file pattern. Glob.
 * @param {string} config.destDir - Destination html directory.
 * @param {function} callback - Callback when done.
 * @author Taka Okunishi
 *
 */
var debug = require('./_debug'),
    _convertDirectory = require('./_convert_directory'),
    minify = require('../../lib/minify'),
    minifyCssFile = minify.minifyCssFile;

var _minifyFiles = require('./_minify_files');

exports = module.exports = function (config, callback) {
    _minifyFiles(config, [/\.css$/, '.min.css'], minifyCssFile, callback);
};